[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: xmlrpc-c for EPEL



Enrico Scholz wrote:
Orion Poplawski <orion cora nwra com> writes:

  I'm trying to get cmake into EPEL but it requires xmlrpc-c.  Would
you be able to maintain it for EPEL, or would you like me (or someone
else) to maintain it?

I did not looked into EPEL yet and do not know its requirements and
processes.


You can check out the EPEL pages in the wiki for more info. The main differences are layed out here: http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies

Mainly that you don't upgrade packages in a release without good reason (security fixes) and you don't break compatibility. Otherwise you cat request EPEL branches (EL-4, EL-5) in the normal way or you can ask Dennis Gilmore <dennis ausil us> to do all of your packages wholesale if you want.

Nevertheless, there will be a chicken-egg problem: xmlrpc-c buildrequires
cmake and cmake buildrequires xmlrpc-c.

I'm CCing the epel list for how to get around this.

Some notes:

- cmake can be built with its own copy of xmlrpc-c. Could do this to get it in then shift to system version.

- Perhaps we could could grab older versions of the two packages from a compatible FE release and then rebuild?

--
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA/CoRA Division                    FAX: 303-415-9702
3380 Mitchell Lane                  orion cora nwra com
Boulder, CO 80301              http://www.cora.nwra.com


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]